%define qtdir /usr/lib/qt-1.45
%define kdeprefix /usr

Name: kwintv
Summary: A KDE utility for watching TV on your PC.
Version: 0.7.5
Release: 10
Serial: 1
Source: ftp://www.mathematik.uni-kl.de/pub/Sources/misc/programs/%{name}-%{version}.tar.gz
Patch0: kwintv-0.7.4-buildroot.patch
Patch1: kwintv-alpha.patch
Patch2: kwintv-0.7.5-setuid.patch
Patch3: kwintv-noroot.patch
Patch4: kwintv-0.7.5-xfree40.patch
License: GPL
URL: http://www.mathematik.uni-kl.de/~wenk/kwintv/
Group: Applications/Multimedia
ExcludeArch: ia64 alpha sparc
Buildroot: %{_tmppath}/%{name}-buildroot
BuildPrereq: kdelibs-devel, qt1x-devel
Requires: kdesupport
Prefix: %{kdeprefix}
Prereq: chkfontpath
Requires: MAKEDEV >= 2.5, XFree86 >= 4.0
%ifnarch ia64
BuildPrereq: compat-egcs-c++
Requires: compat-libstdc++
%endif

%description
KWinTV is a TV application for the K Desktop Environment (KDE).
KWinTV is based on the video4linux interface.  KWinTV allows you to
watch TV in a window on your PC screen, using a TV card supported by a
video4linux based driver.

%prep
%setup -q -n %{name}-%{version}
%patch0 -p1 -b .buildroot
%patch1
%patch2 -p1 -b .setuid
%patch3 -p1 -b .noroot
%patch4 -p1 -b .dga

%build
export KDEDIR=%{kdeprefix} QTDIR=%{qtdir} MOC=%{qtdir}/bin/moc
%ifnarch ia64
export CXX="egcs++ -L/usr/lib" CC="egcs -L/usr/lib"
%else
export CXX="g++" CC="gcc"
%endif
FLAGS="$RPM_OPT_FLAGS -UDEBUG -DNDEBUG -DNO_DEBUG"

if [ -x /usr/bin/getconf ]; then
  CPUS=`getconf _NPROCESSORS_ONLN`
fi
if test "x$CPUS" = "x" -o "x$CPUS" = "x0"; then
  CPUS=1
fi 

[ -f configure.in ] && libtoolize --copy --force
CXXFLAGS="$FLAGS" CFLAGS="$FLAGS" \
./configure \
	--prefix=%{kdeprefix} \
	--with-install-root=$RPM_BUILD_ROOT \
	--disable-dga

make -j $CPUS 

%install
rm -rf $RPM_BUILD_ROOT

make install-strip \
	FONTDIR=$RPM_BUILD_ROOT%{kdeprefix}/share/fonts/default/kwintv

cd $RPM_BUILD_ROOT
find . -type d | sed '1,2d;s,^\.,\%attr(-\,root\,root) \%dir ,' > \
        $RPM_BUILD_DIR/file.list.%{name}

find . -type f | sed -e 's,^\.,\%attr(-\,root\,root) ,' \
        -e '/\/config\//s|^|%config|' >> \
        $RPM_BUILD_DIR/file.list.%{name}

find . -type l | sed 's,^\.,\%attr(-\,root\,root) ,' >> \
        $RPM_BUILD_DIR/file.list.%{name}

%clean
rm -rf $RPM_BUILD_ROOT $RPM_BUILD_DIR/file.list.%{name}

%post
/usr/sbin/chkfontpath -q -a /usr/share/fonts/default/kwintv
if [ ! -c /dev/video0 -a `id -u` = 0 ]; then
  cd /dev && ./MAKEDEV video
fi

%postun
if [ "$1" = "0" ]; then
  /usr/sbin/chkfontpath -q -r /usr/share/fonts/default/kwintv
fi

%files -f ../file.list.%{name}

%changelog
* Wed Aug 23 2000 Tim Powers <timp@redhat.com>
- rebuilt against new XFree86 to fix DGA bugs

* Mon Aug 07 2000 Than Ngo <than@redhat.de>
- rebuilt against new DGA

* Wed Aug 02 2000 Than Ngo <than@redhat.de>
- rebuilt against the kdelibs-1.1.2

* Sat Jul 29 2000 Than Ngo <than@redhat.de>
- use any XFree86 Extensions except DGA

* Mon Jul 24 2000 Prospector <prospector@redhat.com>
- rebuilt

* Wed Jul 19 2000 Than Ngo <than@redhat.de>
- rebuilt against with compat-libstdc++


* Sat Jul 15 2000 Than Ngo <than@redhat.de>
- rebuilt with compat-egcs-c++
- clean up specfile

* Fri Jun 02 2000 Than Ngo <than@redhat.de>
- rebuild for 7.0
- fix kwintv to build as no root (thanks Matt, Bill)
- fix DGA to build with XFree86-4.0
- use rpm macros

* Fri Jun 02 2000 Than Ngo <than@redhat.de>
- fix suid

* Thu Jan 13 2000 Ngo Than <than@redhat.de>
- upgrade to 0.7.5 for powertools 6.2

* Mon Sep 21 1999 Preston Brown <pbrown@redhat.com>
- upgrade to 0.7.4 for powertools 6.1

* Thu Apr 22 1999 Preston Brown <pbrown@redhat.com>
- create v4l devices in post if they are not already present

* Wed Apr 21 1999 Preston Brown <pbrown@redhat.com>
- initial RPM for PowerTools 6.0

